\name{sd_test}
\alias{sd_test}

\title{
Stochastic dominance test function
}
\description{
Runs the test of stochastic dominance given two vectors of surrogate values.
}
\usage{
sd_test(s0, s1, alpha = 0.05)
}

\arguments{
  \item{s0}{
Vector of surrogate values in control group.
}
  \item{s1}{
Vector of surrogate values in treatment group.
}
  \item{alpha}{
Desired alpha level of hypothesis test.
}
}

\value{
\item{s_hat}{Value of test statistic}
\item{p.value}{p-value of test}
\item{reject}{Rejection decision of test}
}
\references{
Barrett, Garry F., and Stephen G. Donald. "Consistent tests for stochastic dominance." Econometrica 71.1 (2003): 71-104.
}
\author{
Emily Hsiao
}

\keyword{internal}

